<?
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

require ("../common/config.inc.php");
include("../common/common.functions.inc.php");
require ("../common/admin.authorize.inc.php");

// upon submission, add a new color
if ( isSet($AC) )
{
	if ( isSet( $color_name ))
	{
        // get information about the image, if provided
        if ( !empty( $color_image ) && $color_image != "none" )
        {
		    $size = GetImageSize($color_image);
    		$colorInfo["color_image_width"] = $size[0];
	    	$colorInfo["color_image_height"] = $size[1];
		    $ext = substr($color_image_name, strrpos($color_image_name, ".")+1);    		
	    	$valid_image = true;

	        // We'll only accept images (i.e. files with an image extension.)
		    switch (strtoupper($ext))
		    {
			    case "JPEG":
    			case "JPG":
	    			$colorInfo["color_image_format"] = "jpeg";
		    		break;
			    case "PNG":
				    $colorInfo["color_image_format"] = "png";
    				break;
	    		case "GIF":
		    		$colorInfo["color_image_format"] = "gif";
			    	break;
    			default:
	    			$valid_image = false;
		    		break;		
		    }

		    if ( $valid_image )
			    $colorInfo["color_image"] = addslashes(fread(fopen($color_image, "r"), filesize($color_image)));
        }
    
		$colorAdded = false;
		$colorInfo["color_name"] = $color_name;

        // Don't add an "empty" Image to table
		if (empty($colorInfo["color_image"]) || $colorInfo["color_image"] == "none")
			unset($colorInfo["color_image"]);
       
	    // Build the lists of columns and their values
		$columns = "";
		$values = "";
		while (list($name, $value) = each($colorInfo))
		{
			$columns .= "$name, ";
			$values .= "'$value', ";        
		}

		// cut trailing commas from the lists of columns and values
	    $columns = ereg_replace(", $", "", $columns);
		$values = ereg_replace(", $", "", $values);
	
		// Execute the insert
		if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
        {
		    $sql_query = "INSERT INTO $colorTable ($columns) VALUES ($values)";
            
            $res = mysql_db_query($dbDatabase, $sql_query, $dbh);
            $err = mysql_error();

            $colorAdded = ( $err ) ? false : true;

            $dbh = mysql_close();      
        }

	}
}

?>


<? $title = "Add Color"; ?>
<? require 'header.php'; ?>

<font face="<?echo $fontTag;?>" SIZE="+2" COLOR="#000000">Add Color</font><hr size="1">

<center>

<? 
	if ( isSet($AC) )
	{	
		if ( $colorAdded )
			echo "<font face=\"$fontTag;\" size=\"+1\" color=\"#006633\">" . str_replace( "REPLACE", $colorInfo["color_name"], $adminMsgColorAdded ) . "</font>";
		else
			echo "<font face=\"$fontTag;\"  size=\"+1\" color=\"red\">$adminMsgColorAddFail</font><br>$err<br>";
	}
?>


<form action="<?echo basename($PHP_SELF);?>" method="POST" enctype="multipart/form-data">

<table border="0" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">
	<tr align="center">
		<td>
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td>
				<table border="0" cellpadding="4">
					<tr>
						<td><font face="<?echo $fontTag;?>">Color Name:</font></td>
						<td><input type="text" name="color_name" size="50" maxlength="50"></td>
					</tr>
					<tr>
						<td><font face="<?echo $fontTag;?>">Color Image:</font></td>
						<td><input type="file" name="color_image"></td>
                    </tr>
					<tr>
						<td colspan="2" align="center"> 
							<input type="submit" name="AC" value="<?echo $adminMsgColorAddSubmit;?>">
						</td>
					</tr>
					<tr>
						<td colspan="2" align="left"> 
							<font face="<?echo $fontTag;?>" size="-1">
								<a href="<? echo $url_prefix; ?>"><?echo $adminMsgViewStore;?></a>
							</font>
						</td>
					</tr>
				</table>
				</td>
			</tr>
		</table>
		</td>
	</tr>
</table>
</form>

<center>

<? require 'footer.php'; ?>