<?
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// definitions
session_start();
$sID = session_id();

require ("common/config.inc.php");
include("common/shopper.functions.inc.php");
include("common/mail.functions.inc.php");
?>

<? $title = "Contact Form"; ?>
<? require 'common/header.inc.php'; ?>	
	
<font face="<?echo $fontTag;?>" SIZE="+2" COLOR="#000000">Contact Form</font><hr size="1">

<?

if ( isSet( $id ) && isSet( $sendNow ) )
{
    // validate necessary information
    $errMsg = "";
    if ( !strlen( $fromAddress ) )
        $errMsg .= "<li> You must enter an eMail Address.";
    else if ( !strlen( $message ) )
        $errMsg .= "<li> You must enter a Message.";
    
    if ( !strlen( $errMsg ) )
    {
        $showSubj = ( strlen( trim( $subject ) ) ) ? "(<b>Subject: $subject</b>)" : "(<b>No Subject</b>)" ;
	    $subject = str_replace ( "\\\"", "\"", $subject );	
	    $subject = str_replace ( "\\'", "'", $subject );
	    $message = str_replace ( "\\\"", "\"", $message );	
	    $message = str_replace ( "\\'", "'", $message );

        $result = sendContactFormToStore( $fromAddress, $subject, $message );

?>
    <table border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td align="left">
            <font face="<?echo $fontTag;?>">
            <p>
            <? if ( $result ) { ?>
		        Your Message <? echo $showSubj; ?> was sent to eCommerce Company.<p>Thanks very much for your input.
    		<? } else { ?>
	    		Your Message <? echo $showSubj; ?> was not sent.
		    <? } ?>
    		<p>
            </font>
		    </td>
    	</tr>
    </table>
<?
        // bail out before showing the rest of the page
        flush();
        exit;
    }
}

?>

<form action="<?echo basename($PHP_SELF);?>" method="POST">
<input type="hidden" name="id" value="<? echo uniqid( "shift" ); ?>">
<input type="hidden" name="eCommID" value="<?echo $shopperID;?>">
<input type="hidden" name="PHPSESSID" value="<?echo $sID;?>">

<table border="0" cellspacing="1" cellpadding="4" width="80%">
<?
if ( strlen( $errMsg ) ) 
{
?>
    <tr>
        <td colspan="2" align="left">
            <font face="<?echo $fontTag; ?>" size="2" color="#CC0000"><b>
                There appears to be a problem...
            <ul><?echo $errMsg;?></ul>
            </b></font><p>
        </td>
    </tr>
<?
}
?>
<tr>
    <td align="left" colspan="2"><font face="<?echo $fontTag;?>" size="2">
        Your feedback is valuable to us as we strive to constantly improve our products and services. 
        All information in <font color="green"><b>green</b></font> is required.</font><p>
    </td>
</tr>
<tr>
    <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>Your eMail:</b></font></font></td>
    <td><input type="text" maxlength="60" size="30" name="fromAddress" value="<? echo $fromAddress;?>"></td>
</tr>
<tr>
    <td align="right"><font face="<?echo $fontTag;?>" size="2">Subject:</font></td>
    <td><input type="text" maxlength="200" name="subject" size="30"></td>
</tr>
<tr>
    <td align="right" valign="top"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>Message:</b></font></font></td>
	<td valign="top"><font face="<? echo $fontTag; ?>">
		<textarea name="message" rows="10" cols="40"><? echo $message;?></textarea>
	</td>
</tr>
<tr>	
	<td colspan="2" align="center"><font face="<? echo $fontTag; ?>" size="-2"><input type="submit" name="sendNow" value="Contact Us!"></font></td>	
</tr>	
</table>
</form>

<? require 'common/footer.inc.php'; ?>

