<? 
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// register the order object, for persistance sake
session_start();

// standard include files
require ("common/config.inc.php");
include("common/shopper.functions.inc.php");

// definitions
$sID = session_id();
$previousPage = "shopperCheck.php";
$errMsg = "";

if( ( strlen( trim($shopper_email) ) > 0 )&&( strlen( trim($shopper_password) ) > 0 )&&( strlen( trim($confirm_password) ) > 0 ) )
{
    // this is a new user

    // check if the email entered already exists
    if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
    {
        $sql_query = "SELECT shopper_email from $shopperTable where shopper_email = '$shopper_email'";
        $res = mysql_db_query($dbDatabase, $sql_query, $dbh);

        if ( mysql_num_rows( $res ) > 0 )
            $errMsg .= "<li> Someone has already entered <i>$shopper_email</i> as an eMail address. Please enter another.\n";

        $dbh = mysql_close();
    }


    // check to see if the two passwords match
    if ( strcmp( $shopper_password, $confirm_password ) != 0 )
        $errMsg .= "<li> The Password and Confirm Password do not match. Please make sure they are the same.\n";

    // if there are no errors, enter the preliminary information in the database
    if ( !strlen( $errMsg ) )
    {        
        if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
        {
            $sql_query = "INSERT INTO $shopperTable (shopper_id, shopper_email, shopper_password) VALUES
                            ('$shopperID', '$shopper_email', ENCODE( '$shopper_password', '" . md5($shopper_email) ."' ))";            
            
            $res = mysql_db_query($dbDatabase, $sql_query, $dbh);

            $dbh = mysql_close();

            // send them to the address information page
            header("Location: " . $nextPage . "?eCommID=" . $shopperID . "&PHPSESSID=" . $sID);
        }
    }

}
else if( ( strlen( trim($shopper_email) ) > 0 ) && ( strlen( trim($shopper_password) ) > 0 ) )
{
    // this is an existing user

    // check to see if shopper is here
    if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
    {
        $sql_query = "SELECT shopper_id as db_id, shopper_email AS db_email, DECODE( shopper_password, '" . md5($shopper_email) . "' ) AS db_pw from $shopperTable where shopper_email = '$shopper_email'";

        $res = mysql_db_query($dbDatabase, $sql_query, $dbh);
        $dbh = mysql_close();

        if ( mysql_num_rows( $res ) == 0 )
            $errMsg .= "<li> The eMail address <i>$shopper_email</i> is not on record. Please enter your eMail, password, and confirm your password choice to continue.\n";
        else
        {       
            $userInfo = mysql_fetch_array( $res );
            
            // check if password matches
            if ( strcmp( $userInfo[db_pw], $shopper_password ) != 0 )
                $errMsg .= "<li> The Password entered does not match the one on record for <i>$shopper_email</i>. Please try again.\n";
            else
            {
                // they have a different eCommID cookie set than their recorded eCommID
                if ( strcmp( $HTTP_COOKIE_VARS["eCommID"], $userInfo[db_id] ) != 0 )
                {
                    header("Location: " . $nextPage . "?neweCommID=" . $userInfo[db_id] . "&PHPSESSID=" . $sID );
                }
                else
                {
                    // send them to the address information page
                    header("Location: " . $nextPage . "?eCommID=" . $userInfo[db_id] . "&PHPSESSID=" . $sID);
                }
            }
        }
        
    }

}
else
{
    $errMsg .= "<li> You must enter an eMail address and Password.\n";
}
?>

<? $title = "User Login"; ?>
<? require 'common/header.inc.php'; ?>

<font face="<?echo $fontTag;?>" SIZE="+2" COLOR="#000000">User Login</font><hr size="1">

<form action="login.php" method="POST">
<input type="hidden" name="eCommID" value="<?echo $shopperID;?>">
<input type="hidden" name="PHPSESSID" value="<?echo $sID;?>">
<input type="hidden" NAME="nextPage" VALUE="<?echo $nextPage;?>">

<center>
    <table border="0" cellspacing="1" cellpadding="0">
        <? 
            if ( strlen( $errMsg ) ) 
            {
        ?>
        <tr>
            <td align="left">
            <font face="<?echo $fontTag; ?>" size="2" color="#CC0000"><b>
                There appears to be a problem...
                <ul><?echo $errMsg;?></ul>
            </b></font><p>
            </td>
        </tr>
        <?
            }
        ?>
        <tr>
            <td align="center">
                <font face="<?echo $fontTag; ?>" size="2">
		            If you are a <b>Returning User</b>, please provide your eMail address and Password.
		            <p>
		            If you are a <b>New User</b>, enter your eMail, Password, and Confirm your Password choice.
		        </font>
            </td>
		</tr>
        <tr>
            <td align="center">
                <!-- username/password table -->
                <table cellpadding="4" border="0">
                    <tr>
		                <td>
                            <font face="<?echo $fontTag; ?>" size="2">eMail:</font>
                            <font face="<?echo $fontTag; ?>" size="1">(4 character minimum.)</font>
                            <br>
                            <input type="text" maxlength="50" size="30" name="shopper_email" value="<?echo $shopper_email;?>">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <font face="<?echo $fontTag; ?>" size="2">Password:</font>
                            <font face="<?echo $fontTag; ?>" size="1">(4 character minimum.)</font>
                            <br>
                            <input type="password" maxlength="20" size="30" name="shopper_password">
                        </td>
                    </tr>
                    <tr>
                        <td bgcolor="#E7E7E9">
                            <font face="<?echo $fontTag; ?>" size="2">Confirm Password:</font>
                            <font face="<?echo $fontTag; ?>" size="2" color="#FF0000">(New Users Only)</font>
                            <br>
                            <input type="password" maxlength="20" size="30" name="confirm_password">
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="center"><input type="submit" value=" Log In "></td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="center">
                            <font face="<?echo $fontTag; ?>" size="2">
                            <a href="<? echo $url_prefix;?>getPwd.php?eCommID=<?echo $shopperID;?>&PHPSESSID=<?echo $sID;?>">Can't remember your password?</a>                            
                            </font>                            
                        </td>
                    </tr>                    
                </table>
            </td>               
        </tr>
    </table>
	
    </center>    
	</form>

<? require 'common/footer.inc.php'; ?>