<?
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

    require ("../common/config.inc.php");
    include("../common/common.functions.inc.php");
    require ("../common/admin.authorize.inc.php");

    // if this has not been set, redirect
	if( !isSet( $color_id ) && !isSet( $color_name ))
	{
		Header( "Location: index.php" );    
		exit;
	}

	// upon submission, update color
	if ( isSet($UD) )
	{
		if (!empty($color_image) && $color_image != "none")
		{
			$size = GetImageSize($color_image);
			$final["color_image_width"] = $size[0];
			$final["color_image_height"] = $size[1];
			$ext = substr($color_image_name, strrpos($color_image_name, ".")+1);
			
			$valid_image = true;

			// We'll only accept images (i.e. files with an image extension.)
			switch (strtoupper($ext))
			{
				case "JPEG":
				case "JPG":
					$final["color_image_format"] = "jpeg";
					break;
				case "PNG":
					$final["color_image_format"] = "png";
					break;
				case "GIF":
					$final["color_image_format"] = "gif";
					break;
				default:
					$valid_image = false;
					break;		
			}

			if ( $valid_image )
				$final["color_image"] = addslashes(fread(fopen($color_image, "r"), filesize($color_image)));
		}
		
		$colorUpdated = false;
		$final["color_name"] = $color_name;

        // Don't add an "empty" Image to table
		if (empty($final["color_image"]) || $final["color_image"] == "none")
		{
			unset($final["color_image"]);
			unset($final["color_image_format"]);
		}

		$updates = "";
		while (list($name, $value) = each($final))
			$updates .= "$name = '$value', ";

		// chop off trailing comma
        $updates = ereg_replace(", $", "", $updates);
	
		// Execute the update
		if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
	    {
			$sql_query = "UPDATE $colorTable SET $updates WHERE color_id = '$color_id'";

			$res = mysql_db_query($dbDatabase, $sql_query, $dbh);
			$err = mysql_error();

			$colorUpdated = ( $err ) ? false : true;

			$dbh = mysql_close();
		}

	}

    // get the color from the database
    if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
    {
        $sql_query = "SELECT * FROM $colorTable WHERE color_id = '$color_id'";

        $res = mysql_db_query($dbDatabase, $sql_query, $dbh);
        
        $dbh = mysql_close();        
    }

	$color = mysql_fetch_array( $res );
	// $thumbnail = reduceImage( $color );
?>


<? $title = "Edit $color[color_name] ($color[color_id])"; ?>
<? require 'header.php'; ?>

<font face="<?echo $fontTag;?>" SIZE="+2" COLOR="#000000">Edit Color</font><hr size="1">

<center>

<? 
	if ( isSet($UD) )
	{	
		if ( $colorUpdated )
			echo "<font face=\"$fontTag;\" size=\"+1\" color=\"#006633\">" . str_replace( "REPLACE", $final["color_name"], $adminMsgColorUpdated ) . "</font>";
		else
			echo "<font face=\"$fontTag;\"  size=\"+1\" color=\"red\">$adminMsgColorUpdateFail</font><br>$err<br>";
	}
?>

<form action="<?echo basename($PHP_SELF);?>" method="POST" enctype="multipart/form-data">
<input type="hidden" name="color_id" value="<?echo trim($color[color_id]);?>">

<table border="0" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">
	<tr align="center">
		<td>
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td>
				<table border="0" cellpadding="4">					
					<tr>
						<td><font face="<?echo $fontTag;?>">Color ID:</font></td>
						<td><font face="<?echo $fontTag;?>"><?echo trim($color[color_id]);?></font></td>
					</tr>					
					<tr>
						<td><font face="<?echo $fontTag;?>">Color Name:</font></td>
						<td><input type="text" name="color_name" size="50" maxlength="50" value="<?echo trim( str_replace ( "\"", "&quot;", $color[color_name]));?>"></td>
					</tr>
					<tr>
						<td><font face="<?echo $fontTag;?>">Color Image:</font></td>
						<td valign="middle" align="left"><img src="<?echo $url_prefix;?>viewColor.php?color_id=<?echo trim($color[ color_id ]);?>" width="<?echo trim($color[ color_image_width ])?>" height="<?echo trim($color[ color_image_height ])?>" border="0" align="absmiddle">&nbsp;&nbsp;<input type="file" name="color_image"></td>
					</tr>
					<tr>
						<td colspan="2" align="center"> 
							<input type="submit" name="UD" value="<?echo $adminMsgColorUpdateSubmit;?>">
						</td>
					</tr>
					<tr>
						<td align="left"> 
							<font face="<?echo $fontTag;?>" size="-1">
								<a href="<? echo $admin_url_prefix; ?>editColors.php">Return to Color Listing</a>
							</font>							
						</td>
                        <td align="right"> 
                            <font face="<?echo $fontTag;?>" size="-1">
								<a href="<? echo $url_prefix; ?>"><?echo $adminMsgViewStore;?></a>
							</font>
						</td>
					</tr>
				</table>
				</td>
			</tr>
		</table>
		</td>
	</tr>
</table>
</form>

<center>        

<? require 'footer.php'; ?>