<?
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*****
* This file includes a variety of shared configuration information; change as necessary.
*****/

// the database information
$dbServer = "monkeyboy";
$dbUser = "webserver";
$dbPassword = "w3bs3rv3r";
$dbDatabase = "phorSale";

// the tables in your database, created with phorSale.sql
$productTable = "products";
$adminTable = "administrators";
$shopperTable = "shoppers";
$colorTable = "colors";
$orderTable = "orders";

// The URL to the site
$url_prefix = "http://127.0.0.1/phorSale/";

// The URL to the administration site
$admin_url_prefix = "http://127.0.0.1/phorSale/admin/";

// The URL to the secure (SSL) site
$secure_url_prefix = "http://127.0.0.1/phorSale/";

// font tagging...do size and color on a case-by case basis
$fontTag = "Trebuchet MS,Arial,Geneva,helvetica,sans-serif";

// notification information
$customerServiceEmail = "customerService@YOUR_DOMAIN_HERE";
$ordersEmail = "orders@YOUR_DOMAIN_HERE";
$contactEmail = "contact@YOUR_DOMAIN_HERE";
$storeEmail = "theStore@YOUR_DOMAIN_HERE";
$customerServiceNumber = "1-800-FAK-ENUM";
$physicalAddress = "
                    eCommerce Company<br>
                    2 Maneeveesee Dr.<br>
                    Nomoorphun, XX 11111<br>
                    ";

// the number of records to return per page, for searches and other listings
$recordsPerPage = 2;

// user message strings; change if you like
$userMsgProductAddSubmit = "Add To Order";

// admin message strings; change if you like
$adminMsgProductAdded = "The product (REPLACE) has been added.";
$adminMsgProductAddFail = "There was an error adding the product.";
$adminMsgProductAddSubmit = "Add Product";
$adminMsgSpecialAdded = "The product (REPLACE) has been added as the Special.";
$adminMsgSpecialAddFail = "There was an error adding the Special.";
$adminMsgSpecialAddSubmit = "Add Special";
$adminMsgColorAdded = "The color \"REPLACE\" has been added.";
$adminMsgColorAddFail = "There was an error adding the color.";
$adminMsgColorAddSubmit = "Add Color";
$adminMsgProductUpdated = "The product (REPLACE) has been updated.";
$adminMsgProductUpdateFail = "There was an error updating the product.";
$adminMsgProductUpdateSubmit = "Update Product";
$adminMsgColorUpdated = "The color \"REPLACE\" has been updated.";
$adminMsgColorUpdateFail = "There was an error updating the color.";
$adminMsgColorUpdateSubmit = "Update Color";
$adminMsgProductDeleteFail = "There was an error deleting the product.";
$adminMsgColorDeleteFail = "There was an error deleting the color.";
$adminMsgViewStore = "Return to The Store";
$adminMsgNoProducts = "There are no Products in The Store.";
$adminMsgProductNotFound = "Product Not Found";

// take care of database quote-escaping
set_magic_quotes_runtime(0);
?>
