<?

/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// *****
// THIS FILE IS FOR DEVELOPMENT USE ONLY
// *****

// register the order object, for persistance sake
session_start();

// to make sure we always have the most recent order information
header ( "Pragma: no-cache" ); 

$sID = session_id();

/*
* uncomment the following to completely destroy your current order; 
* takes effect after refreshing this page.
*/
//session_unregister( "order" );

$theKeys = array_keys ($order);

echo "<ul>";

foreach( $theKeys as $key )
{
    if ( getType( $order[$key] ) == "array" )
    {
        echo "<li>" . $key . " (array):<ul>";

        $innerKeys = array_keys( $order[$key] );

        foreach( $innerKeys as $innerKey )
        {
            if ( getType( $order[$key][$innerKey] ) == "array" )   
            {
                echo "<li>" . $innerKey . " (array):<ul>";

                $moreInnerKeys = array_keys( $order[$key][$innerKey] );
                foreach( $moreInnerKeys as $moreInnerKey )
                {
                    echo "<li>" . $moreInnerKey . " = " . $order[$key][$innerKey][$moreInnerKey];
                }

                echo "</ul>";
            }
            else
                echo "<li>" . $innerKey . " = " . $order[$key][$innerKey];
        }
        
        echo "</ul>";
    }
    else
    {
        echo "<li>" . $key . " = " . $order[$key];
    }
}

echo "</ul>";

exit;