<?
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

    session_start();
    
    require ("common/config.inc.php");
    include("common/common.functions.inc.php");
    include("common/shopper.functions.inc.php");

    if(!isset($product_id))
    {
        Header( "Location: index.php" );    
        exit;
    }

    // get the product from the database
    if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
    {
        $sql_query = "SELECT product_id AS id, product_name AS name, product_desc AS description, product_section AS section, 
            product_specs AS specs, product_colors AS colors, product_option_one AS op1, product_option_two AS op2, 
            product_option_three AS op3, product_option_four AS op4, product_weight AS weight, product_weight_count AS units, 
            product_turnaround AS turnaround, product_disclaimer AS disclaimer, product_image_height AS height, 
            product_image_width AS width, product_image AS image, product_price as price, product_special_price as special_price 
            FROM $productTable WHERE product_id = '$product_id' AND product_active = 'true'";

            $res = mysql_db_query($dbDatabase, $sql_query, $dbh);
        
            $dbh = mysql_close();
    }
?>


<? $product = mysql_fetch_array( $res ) ?>

<? $title = "$product[name] ($product[id])"; ?>
<? require 'common/header.inc.php'; ?>
    <table width="525" cellspacing="2" border="0" cellpadding="2" align="center">
    <tr>       
        <td colspan="2" align="left" valign="top">
            <? if ( $product[special_price] > 0 ) { ?>
                <font face="<? echo $fontTag; ?>" color="#000000" size="+1">Special Pricing!</font><br>
            <? } ?>
        </td>
    </tr>
    <tr>
        <td align="left" valign="top" width="25%">
        <?
            if ( strlen( $product[image] ) )
                echo ( "<img src=\"viewImage.php?product_id=" . $product[id] . "\" width=\"" . $product[width] . "\" height=\"" . $product[height] ."\" alt=\"" . $product[name] . "\" align=\"left\">\n" );
            else
                echo ( "<img src=\"images/noImage.jpg\" width=\"150\" height=\"150\" alt=\"" . $product[name] . "\" align=\"left\">\n" );
        ?>
        </td>
        <td align="left" width="75%">
        <?
            echo ( "<font face=\"" . $fontTag . "\" color=\"#000000\" size=\"-1\"><b>" . $product[name] . "</b></font>\n<br>" );

            echo ( "<font face=\"" . $fontTag . "\" size=\"-1\" color=\"#000000\"><b>#" . $product[id] . "</b></font>\n<br>" );            
            
            echo ( "<font face=\"" . $fontTag . "\" size=\"-1\" color=\"#000000\">" . $product[description] . "</font>\n<p>" );

            if ( strlen( $product[specs] ) )
                echo ( "<font face=\"" . $fontTag . "\" color=\"#000000\" size=\"-1\"><b>Specifications:</b> " . $product[specs] . "</font>\n<br>" );

            if ( strlen( $product[i_size] ) )
                echo ( "<font face=\"" . $fontTag . "\" color=\"#000000\" size=\"-1\"><b>Imprint Area:</b> " . $product[i_size] . "</font>\n<br>" );

            if ( strlen( $product[i_location] ) )
                echo ( "<font face=\"" . $fontTag . "\" color=\"#000000\" size=\"-1\"><b>Imprint Location:</b> " . $product[i_location] . "</font>\n<br>" );            

            echo ( "<font face=\"" . $fontTag . "\" color=\"#000000\" size=\"-1\"><b>Weight:</b> " . $product[weight] . " pounds per " . $product[units] . " units</font>\n<br>" );
            echo ( "<font face=\"" . $fontTag . "\" color=\"#000000\" size=\"-1\"><b>Turnaround Time:</b> Approximately " . $product[turnaround] . " business days</font>\n<br>" );

            echo ( "<td></tr>" );
    
            echo ( "<tr><td colspan=\"2\"><font face=\"" . $fontTag . "\" color=\"#000000\" size=\"-1\">" );

            if ( strlen( $product[disclaimer] ) )
                echo ( "<p>Disclaimer: " . $product[disclaimer] . "<p>" );
        ?>        
            </font>
        </td>
    </tr>

    <form name="productForm" action="<?echo $url_prefix;?>order.php" method="POST" onSubmit="return priceCheck(this)">
    <input type="hidden" name="eCommID" value="<?echo $shopperID;?>">
    <input type="hidden" name="product_id" value="<?echo $product[id];?>">
    <tr align="center">
        <td align="left" colspan="2">
        <font face="<? echo $fontTag; ?>" size="-1">
        <pre>
        </pre>
        <?
            if ( strlen( trim( $product[colors] ) ) || strlen( trim( $product[op1] ) ) || strlen( trim( $product[op2] ) ) || strlen( trim( $product[op3] ) ) || strlen( trim( $product[op4] ) ) )
            {
                echo( "<b>" . $product[name] . " Options</b><hr size=\"1\">\n" );

                if ( strlen( trim( $product[colors] ) ) )                
                    echo( "Product Colors: " . selectBox( "product_color", "colors", "color_id", "color_name", trim( $product[colors] ) ) );

                $theOptions = "";
                if ( strlen( trim( $product[op1] ) ) )
                {                
                    echo( stringSelectBox( $product[op1], "option_one" ) . "\n" );
                    echo( "<input type=\"hidden\" name=\"option_one_name\" value=\"". stringOptionName( $product[op1] ) . "\">\n" );
                }
                if ( strlen( trim( $product[op2] ) ) )
                {                
                    echo( stringSelectBox( $product[op2], "option_two" ) . "\n" );
                    echo( "<input type=\"hidden\" name=\"option_two_name\" value=\"". stringOptionName( $product[op2] ) . "\">\n<p>" );
                }
                if ( strlen( trim( $product[op3] ) ) )
                {                
                    echo( stringSelectBox( $product[op3], "option_three" ) . "\n" );
                    echo( "<input type=\"hidden\" name=\"option_three_name\" value=\"". stringOptionName( $product[op3] ) . "\">\n" );
                }
                if ( strlen( trim( $product[op4] ) ) )
                {                
                    echo( stringSelectBox( $product[op4], "option_four" ) . "\n" );
                    echo( "<input type=\"hidden\" name=\"option_four_name\" value=\"". stringOptionName( $product[op4] ) . "\">\n<br>" );
                }

                echo( "\n<hr size=\"1\">\n" );
            }
            else
            {
                echo( "&nbsp;\n" );
            }
        ?>
        </font>
        </td>
    </tr>
    <tr align="center">
        <td align="center" colspan="2">
            <font face="<? echo $fontTag; ?>" color="#000000" size="+1">
            <?
            if ( $product[special_price] > 0 )
            {
                echo( "Special Price: <br>Only $" . $product[special_price] . " each");
                echo( "<input type=\"hidden\" name=\"unitCost\" value=\"". $product[special_price] . "\">" );
            }
            else
            {
                echo( "$" . $product[price] . " each" );
                echo( "<input type=\"hidden\" name=\"unitCost\" value=\"". $product[price] . "\">" );
            }
            ?>
            </font>
        </td>
    </tr>
    <tr align="center">
        <td align="left">
            <font face="<? echo $fontTag; ?>" color="#000000" size="-1">
            <a href="#" onClick="history.back()"><b>Back To Product Listing</b></a>
            </font>
        </td>
        <td align="center">
            <input type="hidden" name="AP" value="1">
            <input type="submit" value="<?echo $userMsgProductAddSubmit;?>">
        </td>
    </tr>
    </form>
	</table>
<? require 'common/footer.inc.php'; ?>