<?
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// register the order object, for persistance sake
session_start();

// standard include files
require ("common/config.inc.php");
include("common/common.functions.inc.php");
include("common/order.functions.inc.php");
include("common/shopper.functions.inc.php");


// definitions
$sID = session_id();
$nextPage = "billAddressInfo.php";

    if ( isSet( $SI ) )
    {
        $shopperUpdated = false;
        $orderUpdated = false;

        // validate necessary information
        $errMsg = "";
        if ( !strlen( $shopper_ship_name ) )
            $errMsg .= "<li> You must enter a Name.";
        else if ( !strlen( $shopper_ship_email ) )
            $errMsg .= "<li> You must enter an eMail Address.";
        else if ( !strlen( $shopper_ship_addr_1 ) && !strlen( $shopper_ship_addr_2 ) )
            $errMsg .= "<li> You must enter a Shipping Address.";
        else if ( !strlen( $shopper_ship_city ) )
            $errMsg .= "<li> You must enter a City.";
        else if ( !strlen( $shopper_ship_state ) )  
            $errMsg .= "<li> You must select a State.";
        else if ( !strlen( $shopper_ship_postal_code ) )
            $errMsg .= "<li> You must enter a ZIP/Postal Code.";
        else if ( !strlen( $shopper_ship_phone ) )
            $errMsg .= "<li> You must enter a Telephone Number.";               

        if ( strlen( $errMsg ) == 0 )
        {        
            // save shipping information to order
            $order["ship_name"] = $shopper_ship_name;
            $order["ship_email"] = $shopper_ship_email;
		    $order["ship_company"] = $shopper_ship_company;
    		$order["ship_phone"] = $shopper_ship_phone;
	    	$order["ship_fax"] = $shopper_ship_fax;
		    $order["ship_addr_1"] = $shopper_ship_addr_1;
    		$order["ship_addr_2"] = $shopper_ship_addr_2;
	    	$order["ship_city"] = $shopper_ship_city;
		    $order["ship_state"] = $shopper_ship_state;
    		$order["ship_postal_code"] = $shopper_ship_postal_code;
	    	$order["ship_country"] = $shopper_ship_country;
            
            // save to the database
    		$final["shopper_ship_name"] = $shopper_ship_name;
	    	$final["shopper_ship_company"] = $shopper_ship_company;
		    $final["shopper_ship_phone"] = $shopper_ship_phone;
    		$final["shopper_ship_fax"] = $shopper_ship_fax;
	    	$final["shopper_ship_addr_1"] = $shopper_ship_addr_1;
		    $final["shopper_ship_addr_2"] = $shopper_ship_addr_2;
    		$final["shopper_ship_city"] = $shopper_ship_city;
	    	$final["shopper_ship_state"] = $shopper_ship_state;
		    $final["shopper_ship_postal_code"] = $shopper_ship_postal_code;
    		$final["shopper_ship_country"] = $shopper_ship_country;

            // if shippin g and billing addresses are the same, apply this information
            if( strcmp( $aba, "yes" ) == 0 )
            {
                $order["bill_name"] = $shopper_ship_name;
                $order["bill_email"] = $shopper_ship_email;
		        $order["bill_company"] = $shopper_ship_company;
    		    $order["bill_phone"] = $shopper_ship_phone;
	    	    $order["bill_fax"] = $shopper_ship_fax;
		        $order["bill_addr_1"] = $shopper_ship_addr_1;
    		    $order["bill_addr_2"] = $shopper_ship_addr_2;
	    	    $order["bill_city"] = $shopper_ship_city;
		        $order["bill_state"] = $shopper_ship_state;
    		    $order["bill_postal_code"] = $shopper_ship_postal_code;
	    	    $order["bill_country"] = $shopper_ship_country;

                $final["shopper_bill_name"] = $shopper_ship_name;
	    	    $final["shopper_bill_company"] = $shopper_ship_company;
		        $final["shopper_bill_phone"] = $shopper_ship_phone;
    		    $final["shopper_bill_fax"] = $shopper_ship_fax;
	    	    $final["shopper_bill_addr_1"] = $shopper_ship_addr_1;
		        $final["shopper_bill_addr_2"] = $shopper_ship_addr_2;
    		    $final["shopper_bill_city"] = $shopper_ship_city;
	    	    $final["shopper_bill_state"] = $shopper_ship_state;
		        $final["shopper_bill_postal_code"] = $shopper_ship_postal_code;
    		    $final["shopper_bill_country"] = $shopper_ship_country;

                $nextPage = "shipMethodInfo.php";
            }


    		$updates = "";
	    	while (list($name, $value) = each($final))
		    	$updates .= "$name = '$value', ";

    		// chop off trailing comma
            $updates = ereg_replace(", $", "", $updates);
	
		    // Execute the update
    		if ( ( $dbh =  mysql_connect( $dbServer, $dbUser, $dbPassword )) > 0 )
	        {
		    	$sql_query = "UPDATE $shopperTable SET $updates WHERE shopper_id = '$eCommID'";
         
			    $res = mysql_db_query($dbDatabase, $sql_query, $dbh);
    			$err = mysql_error();

	    		$shopperUpdated = ( $err ) ? false : true;

		    	$dbh = mysql_close();
		    }

            // send them to the next page
            header("Location: " . $nextPage . "?eCommID=" . $shopperID . "&PHPSESSID=" . $sID);
        }
    }

    $shopper = getShopper( $shopperID );

    // if there's an error, display any passed-in form information
    if ( strlen( $errMsg ) )
    {
        $shopper[email] = $shopper_ship_email;
        $shopper[sname] = $shopper_ship_name;
        $shopper[scompany] = $shopper_ship_company;
        $shopper[sphone] = $shopper_ship_phone;
        $shopper[sfax] = $shopper_ship_fax;
        $shopper[saddr_1] = $shopper_ship_addr_1;
        $shopper[saddr_2] = $shopper_ship_addr_2;
        $shopper[scity] = $shopper_ship_city;
        $shopper[sstate] = $shopper_ship_state;
        $shopper[spostal_code] = $shopper_ship_postal_code;
        $shopper[scountry] = $shopper_ship_country;
    }   

    $title = "Shipping Address";
    require 'common/header.inc.php';
?>

<font face="<?echo $fontTag;?>" size="+2" color="#000000">Shipping Address</font><hr size="1">

<form action="<?echo basename($PHP_SELF);?>" method="POST">
<input type="hidden" name="eCommID" value="<?echo $shopperID;?>">
<input type="hidden" name="PHPSESSID" value="<?echo $sID;?>">
<input type="hidden" NAME="redir" VALUE="<?echo $nextPage;?>">
<input type="hidden" NAME="SI" VALUE="true">

<table border="0" cellspacing="1" width="80%">

<?
if ( strlen( $errMsg ) ) 
{
?>
    <tr>
        <td colspan="2" align="left">
            <font face="<?echo $fontTag; ?>" size="2" color="#CC0000"><b>
                There appears to be a problem...
            <ul><?echo $errMsg;?></ul>
            </b></font><p>
        </td>
    </tr>
<?
}
?>
    <tr>
        <td align="center" colspan="2"><font face="<?echo $fontTag;?>" size="2">Please enter your Shipping Address. All information in <font color="green"><b>green</b></font> is required.</font><p></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>Name</b></font></font></td>
        <td><input type="text" maxlength="60" size="30" name="shopper_ship_name" value="<? echo $shopper[sname]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>eMail Address</b></font></font></td>
        <td><input type="text" maxlength="200" name="shopper_ship_email" size="30" value="<? echo $shopper[email]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2">Company</font></td>
        <td><input type="text" maxlength="200" name="shopper_ship_company" size="30" value="<? echo $shopper[scompany]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>Address Line 1</b></font></font></td>
        <td><input type="text" maxlength="70" name="shopper_ship_addr_1" size="30" value="<? echo $shopper[saddr_1]; ?>"'></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2">Address Line 2</font></td>
        <td><input type="text" maxlength="70" name="shopper_ship_addr_2" size="30" value="<? echo $shopper[saddr_2]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>City</b></font></font></td>
        <td><input type="text" maxlength="40" name="shopper_ship_city" size="30" value="<? echo $shopper[scity]; ?>"></font></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>State</b></font></font></td>
        <td>
            <? echo buildStateList( "shopper_ship_state", $shopper[sstate] ); ?>
        </td>
    </tr>  
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>ZIP/Postal Code</b></font></font></td>
        <td><input maxLength="11" name="shopper_ship_postal_code" size="12" value="<? echo $shopper[spostal_code]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>Telephone</b></font></font></td>
        <td><input type="text" maxlength="40" name="shopper_ship_phone" size="30" value="<? echo $shopper[sphone]; ?>"></td>
    </tr>
    <tr>
        <td align="right"><font face="<?echo $fontTag;?>" size="2">Fax</font></td>
        <td><input type="text" maxlength="40" name="shopper_ship_fax" size="30" value="<? echo $shopper[sfax]; ?>"></td>
    </tr>
    <tr>
        <td colspan="2">&nbsp;</td>
    </tr>
    <tr>
        <td align="right" valign="top"><font face="<?echo $fontTag;?>" size="2"><font color="green"><b>Is this the same<br>as your Billing Address?</b></font></font></td>
        <td valign="top"><font face="<?echo $fontTag;?>" size="2">
            <input type="radio" name="aba" value="yes" checked> Yes
            &nbsp;&nbsp;
            <input type="radio" name="aba" value="no"> No
        </td>
    </tr>
    <tr>
        <td colspan="2">&nbsp;</td>
    </tr>
    
    <tr>
        <td width="100%" align="center" colspan="2">
            <input type="submit" value="Next Step"><input type="reset" value="Reset">
        </td>
    </tr>
</table>
</form>
<?
    if ($order["status"]="ready")
        $order["status"]="check";
?>

<? require 'common/footer.inc.php'; ?>
