<? 
/*
* phorSale - An eCommerce application for PHP and mySQL.
* Copyright (C) 2001 Michael Kmiec <mike@shifter.org>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

// register the order object, for persistance sake
session_start();

// standard include files
require ("common/config.inc.php");
include("common/order.functions.inc.php");
include("common/shopper.functions.inc.php");

// definitions
$sID = session_id();

switch( $np )
{
    case "a":
        $nextPage = "account.php";
        break;
    case "s":
        $nextPage = "shipAddressInfo.php";
        break;
    default:
        $nextPage = "index.php";
        break;
}

if( isSet( $shopperID ) && shopperExists( $shopperID ) )
{
    header("Location: " . $nextPage . "?eCommID=" . $shopperID . "&PHPSESSID=" . $sID);
}
?>

<? $title = "User Login"; ?>
<? require 'common/header.inc.php'; ?>

<font face="<?echo $fontTag;?>" SIZE="+2" COLOR="#000000">User Login</font><hr size="1">

<form action="login.php" method="POST">
<input type="hidden" name="eCommID" value="<?echo $shopperID;?>">
<input type="hidden" name="PHPSESSID" value="<?echo $sID;?>">
<input type="hidden" NAME="nextPage" VALUE="<?echo $nextPage;?>">

<center>
    <table border="0" cellspacing="1" cellpadding="0">
        <tr>
            <td align="center">
                <font face="<?echo $fontTag; ?>" size=2>
		            If you are a <b>Returning User</b>, please provide your eMail address and password.
		            <p>
		            If you are a <b>New User</b>, enter your eMail, password, and confirm your password choice.
		        </font>
            </td>
		</tr>
        <tr>
            <td align="center">
                <!-- username/password table -->
                <table cellpadding="4" border="0">
                    <tr>
		                <td>
                            <font face="<?echo $fontTag; ?>" size="2">eMail:</font>
                            <font face="<?echo $fontTag; ?>" size="1">(4 character minimum.)</font>
                            <br>
                            <input type="text" maxlength="50" size="30" name="shopper_email">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <font face="<?echo $fontTag; ?>" size="2">Password:</font>
                            <font face="<?echo $fontTag; ?>" size="1">(4 character minimum.)</font>
                            <br>
                            <input type="password" maxlength="20" size="30" name="shopper_password">
                        </td>
                    </tr>
                    <tr>
                        <td bgcolor="#E7E7E9">
                            <font face="<?echo $fontTag; ?>" size="2">Confirm Password:</font>
                            <font face="<?echo $fontTag; ?>" size="2" color="#FF0000">(New Users Only)</font>
                            <br>
                            <input type="password" maxlength="20" size="30" name="confirm_password">
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="center"><input type="submit" value=" Log In "></td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="center">
                            <font face="<?echo $fontTag; ?>" size="2">
                            <a href="<? echo $url_prefix;?>getPwd.php?eCommID=<?echo $shopperID;?>&PHPSESSID=<?echo $sID;?>">Can't remember your password?</a>                            
                            </font>                            
                        </td>
                    </tr>
                </table>
            </td>               
        </tr>
    </table>
	
    </center>    
	</form>   

<? require 'common/footer.inc.php'; ?>